Subject: [Sip] Should OK response for deregister include deregistered Contacts (with expires=0)?

From: Jeroen van Bemmel <[email-masked]>
Date: Wed, 28 Nov 2007 22:58:14 +0100

All,

A question on the interpretation of the text in RFC3261 section 10.3 
point 8:

8. The registrar returns a 200 (OK) response.  The response MUST
         contain Contact header field values enumerating all current
         bindings.  Each Contact value MUST feature an "expires"
         parameter indicating its expiration interval chosen by the
         registrar.  The response SHOULD include a Date header field.

For a deregistration, does the above mean that the registrar should (or may) include a Contact that is being unregistered, adding 'expires=0' to reflect this?
In other words, is the deregistered Contact included in "all current bindings"?

If not, should this say "The registrar MUST NOT include deregistered Contacts"?

Regards,
Jeroen

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Brett Tate" <[email-masked]>
Date: Wed, 28 Nov 2007 17:11:10 -0500

The wording does not appear to need modification.  Since the binding no
longer exists, section 8 basically does not apply to the binding(s)
being deregistered.

> -----Original Message-----
> From: Jeroen van Bemmel [mailto:[email-masked]] 
> Sent: Wednesday, November 28, 2007 4:58 PM
> To: IETF SIP List
> Subject: [Sip] Should OK response for deregister include 
> deregistered Contacts (with expires=0)?
> 
> All,
> 
> A question on the interpretation of the text in RFC3261 
> section 10.3 point 8:
> 
> For a deregistration, does the above mean that the registrar 
> should (or may) include a Contact that is being unregistered, 
> adding 'expires=0' to reflect this?